DNSTWIST(1)

NAME
dnstwist - domain name permutation engine

DESCRIPTION
usage: dnstwist [OPTION]... DOMAIN

Find similar-looking domain names that adversaries can use to attack you. Can detect typosquatters, phishing attacks, fraud and corporate espionage. Useful as an additional source of targeted threat intelligence.

  positional arguments:

domain
    domain name or URL to check

  optional arguments:

-h, --help
    show this help message and exit

-a, --all
    show all DNS records

-b, --banners
    determine HTTP and SMTP service banners

-d FILE, --dictionary FILE
    generate additional domains using dictionary FILE

-g, --geoip
    perform lookup for GeoIP location

-m, --mxcheck
    check if MX host can be used to intercept e-mails

-f {cli,csv,json,idle}, --format {cli,csv,json,idle}
    output format (default: cli)

-r, --registered
    show only registered domain names

-s, --ssdeep
    fetch web pages and compare their fuzzy hashes to evaluate similarity

-t NUMBER, --threads NUMBER
    start specified NUMBER of threads (default: 10)

-w, --whois
    perform lookup for WHOIS creation/update time (slow)

--tld FILE
    generate additional domains by swapping TLD from FILE

--nameservers LIST
    comma separated list of DNS servers to query

--port PORT
    the port number to send queries to

--useragent STRING
    user-agent STRING to send with HTTP requests (default: Mozilla/5.0 dnstwist/20190706)